﻿.login-wrapper {
  display: flex;
  flex-direction: column;
  height: 100vh;
}

/* Header */
.header-layout {
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
  padding: 10px;
  width: 100%;
  height: 80px;
}

/* Body */
.body-layout {
  display: flex;
  flex: 1;
}

/* Left panel */
.left-panel {
    flex: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 50px;
}

.left-panel h1 {
    font-size: 2.2rem;
    margin-bottom: 20px;
    color: #0866FF
}

.left-panel p {
    margin-bottom: 10px;
    font-size: 1rem;
    line-height: 1.5;
}

.left-panel .support-container{
    margin-top: 30px;   
}

.left-panel .support-container a {
    color: darkblue;
    text-decoration: underline;
}

/* Right panel */

.right-panel {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
}

.login-box {
  border: 1px solid #ddd;
  border-radius: 10px;
  padding: 10px 30px;
  height: 500px;
  width: 500px;
}

.login-header {
  text-align: center;
  margin: 20px 0 50px 0;
}

.login-header-txt {
    font-family: "Poppins", sans-serif;
    color: #2196F3;
    font-size: 30px;
    margin-bottom: 5px;
}

.login-header p {
  color: #555;
}

/* //ss */

.forgot {
  display: flex;
  justify-content: flex-end;
  margin-bottom: 25px;
}

section {
  display: flex;
  align-items: center;
  font-size: 14px;
  color: #555;
}

#check {
  margin-right: 10px;
}

section .forgot-link {
  font-weight: 500;
  text-decoration: none;
  color: #7931f5;
}

.input-submit {
  width: 100%;
  height: 50px;
  font-family: "Poppins", sans-serif;
  font-size: 15px;
  color: #fff;
  background: #7931f5;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.middle-text {
  position: relative;
  width: 100%;
  margin: 30px 0;
}

.or-text {
  font-family: "Poppins", sans-serif;
  position: absolute;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #fff;
  color: #777;
  padding: 10px;
}

hr {
  border: 1px solid #ddd;
}

.social-sign-in {
  display: flex;
  gap: 15px;
}

button {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 5px;
  cursor: pointer;
}

@media only screen and (max-width: 510px) {
  .login-box {
    padding: 10px 30px;
    margin: 20px;
  }
}

@media only screen and (max-width: 415px) {
  .login-box {
    padding: 10px 25px;
    margin: 15px;
  }
}

@media (max-width: 900px) {
  .left-panel {
    align-items: center;
  }
  .body-layout {
    flex-direction: column;
  }
  .left-panel,
  .right-panel {
    flex: none;
    width: 100%;
    padding: 10px;
  }
}
